summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNorbert Thiebaud <nthiebaud@gmail.com>2012-02-18 18:37:13 -0600
committerNorbert Thiebaud <nthiebaud@gmail.com>2012-02-18 18:41:02 -0600
commit4d0a05e93902f9bb14418cc36e046131580b46d0 (patch)
tree905714bd702ff6386473536bcbe4279cb672c042
parentc08308508aec99652256be333990ad9cd4e62dba (diff)
build_env is obsolete now
-rwxr-xr-xbuild_env.in11
-rw-r--r--configure.in3
-rwxr-xr-xsolenv/bin/lo_find_src_root23
-rwxr-xr-xsolenv/bin/lo_proxy_start31
4 files changed, 1 insertions, 67 deletions
diff --git a/build_env.in b/build_env.in
deleted file mode 100755
index bf1ace6985dc..000000000000
--- a/build_env.in
+++ /dev/null
@@ -1,11 +0,0 @@
-
-if hash lo_proxy_start 2>&- ; then
- base_alias="lo_proxy_start"
-else
- base_alias="@SRC_ROOT@/solenv/bin/lo_proxy_start"
-fi
-
-alias build="$base_alias build"
-alias deliver="$base_alias deliver"
-
-unset base_alias
diff --git a/configure.in b/configure.in
index 413dec0dbbc7..5d408ff661c5 100644
--- a/configure.in
+++ b/configure.in
@@ -3160,7 +3160,6 @@ if test "$cross_compiling" = "yes"; then
mkdir CONF-FOR-BUILD
tar cf - \
bin/repo-list.in \
- build_env.in \
android/Bootstrap/local.properties.in \
android/qa/sc/local.properties.in \
android/qa/desktop/local.properties.in \
@@ -10963,7 +10962,7 @@ else
echo > config_host.mk.last
fi
-AC_CONFIG_FILES([config_host.mk ooo.lst bin/repo-list build_env android/Bootstrap/local.properties android/qa/sc/local.properties android/qa/desktop/local.properties])
+AC_CONFIG_FILES([config_host.mk ooo.lst bin/repo-list android/Bootstrap/local.properties android/qa/sc/local.properties android/qa/desktop/local.properties])
AC_OUTPUT
# touch the config timestamp file set_soenv.stamp
diff --git a/solenv/bin/lo_find_src_root b/solenv/bin/lo_find_src_root
deleted file mode 100755
index a91c84759822..000000000000
--- a/solenv/bin/lo_find_src_root
+++ /dev/null
@@ -1,23 +0,0 @@
-#!/usr/bin/env bash
-#
-# (c) 2011 Norbert Thiebaud. License : GPLv3
-#
-# try to locate the SRC_ROOT based on the working directory
-# we search for first Repository.mk
-# in the current directoyr or its parent, all teh way to /
-# Ths is a heuristic. it works 'most of the times
-# but it could give false positive if you try hard enough
-#
-
-current=$(pwd)
-
-while [ "${current}" != "/" ] ; do
- if [ -f ${current}/.src_root ] ; then
- echo "${current}"
- exit 0;
- fi
- current=$(dirname "${current}")
-done
-
-echo "Error cannot determine SRC_ROOT" 1>&2
-exit 1;
diff --git a/solenv/bin/lo_proxy_start b/solenv/bin/lo_proxy_start
deleted file mode 100755
index 8aabf2838acd..000000000000
--- a/solenv/bin/lo_proxy_start
+++ /dev/null
@@ -1,31 +0,0 @@
-#!/usr/bin/env bash
-
-bin_dir=$(dirname $0)
-action=$(basename $0)
-
-if [ "$action" = "lo_proxy_start" ] ; then
- action=$1
- shift
-fi
-
-if [ -z "$SRC_ROOT" ] ; then
- SRC_ROOT=$($bin_dir/lo_find_src_root) || exit 1
-fi
-if [ -z "$SOLARINC" ] ; then
- if [ -e "$SRC_ROOT/config_host.mk" ] ; then
- . "$SRC_ROOT/config_host.mk"
- fi
- if [ -e "$SRC_ROOT/Env.Host.sh" ] ; then
- . "$SRC_ROOT/Env.Host.sh"
- fi
-fi
-
-if [ -e $SRC_ROOT/solenv/bin/$action.pl ] ; then
- $SRC_ROOT/solenv/bin/$action.pl "$@"
-elif [ -e $SRC_ROOT/solenv/bin/$action.sh ] ; then
- $SRC_ROOT/solenv/bin/$action.sh "$@"
-else
- echo "$action.[pl|sh] not found" 2>&1
- exit 1
-fi
-